import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';
import { RouterModule } from '@angular/router';
import { NgModule } from '@angular/core';
import { BooksComponent } from './books/books.component';
import { BooksSortPipe } from './books/books-sort.pipe';

@NgModule({
  imports: [
    BrowserModule,
    FormsModule,
    HttpModule
  ],
  declarations: [ 
    BooksComponent,
    BooksSortPipe
  ],
  providers: [],
  bootstrap: [ BooksComponent ],
})
export class AppModule {}
