import { Component, Inject } from '@angular/core';
import { BooksService } from './books.service';
                             
@Component({
  selector: 'contents',
  templateUrl: './books.component.html'
})
export class BooksComponent {
  constructor(@Inject(BooksService) service) {
    this.books = [];
    this.service = service;
    this.message = '';
  }
  getBooks() {
    this.service.get()
      .subscribe(
        data => this.books = data,
        err => this.message = err
        );
  }
  ngOnInit() {
    this.getBooks();
  }
}